package cn.iocoder.yudao.module.system.controller.admin.banner.vo.banner;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 广告设置 Response VO
* @author wlh
*/
@Data
@ApiModel("管理后台 - 广告设置 Response VO")
public class BannerBackVO {

    @ExcelProperty("")
    @ApiModelProperty(value = "", required = true)
    private Long id;

    @ExcelProperty("中文标题")
    @ApiModelProperty(value = "中文标题")
    private String titleZh;

    @ExcelProperty("英文标题")
    @ApiModelProperty(value = "英文标题")
    private String titleEn;
    @ExcelProperty("法文标题")
    @ApiModelProperty(value = "法文标题")
    private String titleFr;

    @ExcelProperty("中文内容")
    @ApiModelProperty(value = "中文内容")
    private String contentZh;

    @ExcelProperty("英文内容")
    @ApiModelProperty(value = "英文内容")
    private String contentEn;

    @ExcelProperty("法文内容")
    @ApiModelProperty(value = "法文内容")
    private String contentFr;

    @ExcelProperty("图片地址WEB")
    @ApiModelProperty(value = "图片地址WEB")
    private String bannerUrlWeb;

    @ExcelProperty("图片地址APP")
    @ApiModelProperty(value = "图片地址APP")
    private String bannerUrlApp;

    @ExcelProperty("0显示 1不显示")
    @ApiModelProperty(value = "0显示 1不显示")
    private Integer status;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

}
