package cn.iocoder.yudao.module.system.controller.admin.sms.vo.smsNode;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
* 短信节点 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class SmsNodeBaseVO {

    @ApiModelProperty(value = "节点", required = true)
    @NotNull(message = "节点不能为空")
    private String nodeValue;

    @ApiModelProperty(value = "运输方式ID", required = true)
    @NotNull(message = "运输方式ID不能为空")
    private Integer transportId;

    @ApiModelProperty(value = "国家区号id", required = true)
    @NotNull(message = "国家区号id不能为空")
    private String countryId;

    @ApiModelProperty(value = "国家区号，和订单中国家区号保持一致", required = true)
    @NotNull(message = "国家区号，和订单中国家区号保持一致不能为空")
    private String countryCode;

    @ApiModelProperty(value = "启用状态(0：启用，1：关闭)", required = true)
    @NotNull(message = "启用状态(0：启用，1：关闭)不能为空")
    private Integer status;

    @ApiModelProperty(value = "模板1", required = true)
    @NotNull(message = "模板1不能为空")
    private Long templateIdOne;

    @ApiModelProperty(value = "模板2")
    private Long templateIdTwo;

    @ApiModelProperty(value = "模板3")
    private Long templateIdThree;

    @ApiModelProperty(value = "模板4")
    private Long templateIdFour;

    @ApiModelProperty(value = "是否匹配运输方式", required = true)
    private Integer isTransport;

    @ApiModelProperty(value = "多订单", required = true)
    private Integer isOrders;

    @ApiModelProperty(value = "目的仓（国家，城市，仓库id）")
    private List<List<Long>> receiveAddrList;

    @ApiModelProperty(value = "备注")
    private String remark;
}
