package cn.iocoder.yudao.module.system.controller.admin.sms.vo.smsNode;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;
import java.util.Map;

/**
 * 测试节点
 *
 * @author Jayden
 * @date 2024/11/23
 */
@Data
public class SmsNodeTestVO {

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "节点", required = true)
    @NotNull(message = "节点不能为空")
    private String nodeValue;

    @ApiModelProperty(value = "运输方式ID", required = true)
    @NotNull(message = "运输方式ID不能为空")
    private Integer transportId;

    @ApiModelProperty(value = "手机号不能为空", required = true)
    @NotNull(message = "手机号不能为空")
    private String mobile;

    @ApiModelProperty(value = "国家区号不能为空", required = true)
    @NotNull(message = "国家区号不能为空")
    private String countryCode;

    @ApiModelProperty(value = "是否匹配运输方式", required = true)
    @NotNull(message = "是否匹配运输方式不能为空")
    private Integer isTransport;

    @ApiModelProperty(value = "多订单", required = true)
    @NotNull(message = "多订单不能为空")
    private Integer isOrders;

    @ApiModelProperty(value = "模板序号", required = true)
    @NotNull(message = "模板序号不能为空")
    private Integer nodeTemplateSn;

    @ApiModelProperty(value = "发送类型", required = true)
    @NotNull(message = "发送类型不能为空")
    private Integer messageType;

    @ApiModelProperty(value = "目的仓（国家，城市，仓库id）")
    private List<List<Long>> receiveAddrList;

    @ApiModelProperty(value = "参数")
    private Map<String, Object> templateParams;
}
