package cn.iocoder.yudao.module.system.convert.sms;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.sms.vo.smsNode.SmsNodeBackVO;
import cn.iocoder.yudao.module.system.controller.admin.sms.vo.smsNode.SmsNodeCreateReqVO;
import cn.iocoder.yudao.module.system.controller.admin.sms.vo.smsNode.SmsNodeUpdateReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.sms.SmsNodeDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 短信节点 Convert
 * @author jayden
 */
@Mapper
public interface SmsNodeConvert {
    /*****转换MapStruct*****/
    SmsNodeConvert INSTANCE = Mappers.getMapper(SmsNodeConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    SmsNodeDO convert(SmsNodeCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    SmsNodeDO convert(SmsNodeUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    SmsNodeBackVO convert(SmsNodeDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<SmsNodeBackVO> convertList(List<SmsNodeDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<SmsNodeBackVO> convertPage(PageResult<SmsNodeDO> page);
}
