package cn.iocoder.yudao.module.system.dal.dataobject.banner;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 广告设置 DO
 *
 * @author wlh
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_banner")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BannerDO extends BaseDO {

    /**
     *
     */
    @TableId
    private Long id;
    /**
     * 中文标题
     */
    private String titleZh;
    /**
     * 英文标题
     */
    private String titleEn;
    /**
     * 法文标题
     */
    private String titleFr;
    /**
     * 中文内容
     */
    private String contentZh;
    /**
     * 英文内容
     */
    private String contentEn;
    /**
     * 法文内容
     */
    private String contentFr;
    /**
     * 图片地址WEB
     */
    private String bannerUrlWeb;
    /**
     * 图片地址APP
     */
    private String bannerUrlApp;
    /**
     * 0显示 1不显示
     */
    private Integer status;

}
