package cn.iocoder.yudao.module.system.dal.dataobject.helpDoc;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 帮助文档 DO
 *
 * @author jiuping
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("system_help_doc")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class HelpDocDO extends BaseDO {

    /**
     *
     */
    @TableId
    private Long id;
    /**
     * 标题中文
     */
    private String titleZh;
    /**
     * 标题英文
     */
    private String titleEn;
    /**
     * 标题法文
     */
    private String titleFr;
    /**
     * 内容中文
     */
    private String contentZh;
    /**
     * 内容英语
     */
    private String contentEn;
    /**
     * 内容法语
     */
    private String contentFr;
    /**
     * 0-启用,1-停用
     *
     */
    private Integer status;

}
