package cn.iocoder.yudao.module.system.dal.dataobject.needKnow;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 需知 DO
 *
 * @author 系统管理员
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("system_need_know")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class NeedKnowDO extends BaseDO {

    /**
     *
     */
    @TableId
    private Long id;
    /**
     * 需知类型
     *
     * 枚举 {@link TODO need_know_type 对应的类}
     */
    private String knowType;
    /**
     * 标题中文
     */
    private String titleZh;
    /**
     * 标题英文
     */
    private String titleEn;
    /**
     * 标题法文
     */
    private String titleFr;
    /**
     * 内容中文
     */
    private String contentZh;
    /**
     * 内容英语
     */
    private String contentEn;
    /**
     * 内容英语
     */
    private String contentFr;
    /**
     * 0-启用,1-停用
     *
     * 枚举 {@link TODO need_know_status 对应的类}
     */
    private Integer status;

}
