package cn.iocoder.yudao.module.system.dal.dataobject.sms;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

/**
 * 短信节点 DO
 *
 * @author jayden
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("system_sms_node")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class SmsNodeDO extends BaseDO {

    /**
     * 编号
     */
    @TableId
    private Long id;
    /**
     * 节点
     */
    private String nodeValue;
    /**
     * 运输方式ID
     *
     */
    private Integer transportId;
    /**
     * 国家区号id
     */
    private String countryId;
    /**
     * 国家区号，和订单中国家区号保持一致
     */
    private String countryCode;
    /**
     * 启用状态(0：启用，1：关闭)
     */
    private Integer status;
    /**
     * 模板1
     */
    private Long templateIdOne;
    /**
     * 模板2
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Long templateIdTwo;
    /**
     * 模板3
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Long templateIdThree;
    /**
     * 模板4
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Long templateIdFour;
    /**
     * 是否匹配运输方式(0:否，1：是)
     */
    private Integer isTransport;
    /**
     * 多订单(0:否，1：是)
     */
    private Integer isOrders;
    /**
     * 扩展字段
     */
    private String extra;
    /**
     * 备注
     */
    private String remark;
}
