package cn.iocoder.yudao.module.system.dal.mysql.helpDoc;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQuery;
import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.module.system.dal.dataobject.helpDoc.HelpDocDO;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.system.vo.helpDoc.*;

/**
 * 帮助文档 Mapper
 * @author jiuping
 */
@Mapper
public interface HelpDocMapper extends AbstractMapper<HelpDocDO> {
    @Override
    default PageResult<HelpDocDO> selectPage(PageVO page, Object object) {
        if (object instanceof HelpDocQueryVO) {
            HelpDocQueryVO vo = (HelpDocQueryVO)object;
            return selectPage(page, new LambdaQuery<HelpDocDO>()
                .likeIfPresent(HelpDocDO::getTitleZh, vo.getTitleZh())
                .likeIfPresent(HelpDocDO::getTitleEn, vo.getTitleEn())
                .likeIfPresent(HelpDocDO::getTitleFr, vo.getTitleFr())
                .eqIfPresent(HelpDocDO::getContentZh, vo.getContentZh())
                .eqIfPresent(HelpDocDO::getContentEn, vo.getContentEn())
                .eqIfPresent(HelpDocDO::getContentFr, vo.getContentFr())
                .eqIfPresent(HelpDocDO::getStatus, vo.getStatus())
                .betweenIfPresent(HelpDocDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(HelpDocDO::getId));
        }

        return null;
    }

    @Override
    default List<HelpDocDO> selectList(Object object) {
        if (object instanceof HelpDocQueryVO) {
            HelpDocQueryVO vo = (HelpDocQueryVO)object;
            return selectList(new LambdaQuery<HelpDocDO>()
                .likeIfPresent(HelpDocDO::getTitleZh, vo.getTitleZh())
                .likeIfPresent(HelpDocDO::getTitleEn, vo.getTitleEn())
                .eqIfPresent(HelpDocDO::getContentZh, vo.getContentZh())
                .eqIfPresent(HelpDocDO::getContentEn, vo.getContentEn())
                .eqIfPresent(HelpDocDO::getStatus, vo.getStatus())
                .betweenIfPresent(HelpDocDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(HelpDocDO::getId));
        }

        return null;
    }
}
