package cn.iocoder.yudao.module.system.dal.mysql.sms;

import cn.hutool.core.date.DateUtil;
import cn.iocoder.yudao.framework.mybatis.core.enums.SqlConstants;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.QueryWrapperX;
import cn.iocoder.yudao.module.system.dal.dataobject.sms.SmsCodeDO;
import org.apache.ibatis.annotations.Mapper;

import java.util.Date;

@Mapper
public interface SmsCodeMapper extends BaseMapperX<SmsCodeDO> {

    /**
     * 获得手机号的最后一个手机验证码
     *
     * @param mobile 手机号
     * @param nodeValue 发送场景，选填
     * @param code 验证码 选填
     * @return 手机验证码
     */
    default SmsCodeDO selectLastByMobile(String mobile, String code, String nodeValue) {
        return selectOne(new QueryWrapperX<SmsCodeDO>()
                .eq("mobile", mobile).eqIfPresent("node_value", nodeValue).eqIfPresent("code", code)
                .between("create_time", DateUtil.beginOfDay(new Date()), DateUtil.endOfDay(new Date()))
                .orderByDesc("id").last(SqlConstants.LIMIT1));
    }

}
