package cn.iocoder.yudao.module.system.dal.mysql.sms;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQuery;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.system.controller.admin.sms.vo.smsNode.SmsNodeQueryVO;
import cn.iocoder.yudao.module.system.dal.dataobject.sms.SmsNodeDO;
import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.TypeReference;
import org.apache.commons.lang3.StringUtils;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 短信节点 Mapper
 *
 * @author jayden
 */
@Mapper
public interface SmsNodeMapper extends AbstractMapper<SmsNodeDO> {
    default PageResult<SmsNodeDO> selectPage(SmsNodeQueryVO vo) {
        LambdaQueryWrapperX<SmsNodeDO> smsNodeDOLambdaQueryWrapperX = new LambdaQuery<SmsNodeDO>()
                .eq(StringUtils.isNotBlank(vo.getNodeValue()), SmsNodeDO::getNodeValue, vo.getNodeValue())
                .eqIfPresent(SmsNodeDO::getTransportId, vo.getTransportId())
                .eqIfPresent(SmsNodeDO::getCountryId, vo.getCountryId())
                .eqIfPresent(SmsNodeDO::getCountryCode, vo.getCountryCode())
                .eqIfPresent(SmsNodeDO::getIsTransport, vo.getIsTransport())
                .eqIfPresent(SmsNodeDO::getIsOrders, vo.getIsOrders())
                .eqIfPresent(SmsNodeDO::getStatus, vo.getStatus())
                .eqIfPresent(SmsNodeDO::getTemplateIdOne, vo.getTemplateIdOne())
                .eqIfPresent(SmsNodeDO::getTemplateIdTwo, vo.getTemplateIdTwo())
                .eqIfPresent(SmsNodeDO::getTemplateIdThree, vo.getTemplateIdThree())
                .eqIfPresent(SmsNodeDO::getTemplateIdFour, vo.getTemplateIdFour())
                .betweenIfPresent(SmsNodeDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime());
        String extra = vo.getExtra();
        if (StringUtils.isNotBlank(extra)) {
            List<List<Integer>> list = JSON.parseObject(extra, new TypeReference<List<List<Integer>>>() {});
            if (!list.isEmpty()) {
                String sql = "";
                for (List<Integer> o : list) {
                    if (StringUtils.isBlank(sql)) {
                        sql = " (replace(extra -> '$.receiveAddrList',' ','') LIKE '%" + JSON.toJSONString(o) + "%') ";
                    } else {
                        sql += " or (replace(extra -> '$.receiveAddrList',' ','') LIKE '%" + JSON.toJSONString(o) + "%')";
                    }
                }
                smsNodeDOLambdaQueryWrapperX.apply(sql);
            }
        }
        smsNodeDOLambdaQueryWrapperX.orderByDesc(SmsNodeDO::getId);
        return selectPage(vo, smsNodeDOLambdaQueryWrapperX);
    }

    @Override
    default List<SmsNodeDO> selectList(Object object) {
        if (object instanceof SmsNodeQueryVO) {
            SmsNodeQueryVO vo = (SmsNodeQueryVO) object;
            return selectList(new LambdaQuery<SmsNodeDO>()
                    .eq(StringUtils.isNotBlank(vo.getNodeValue()), SmsNodeDO::getNodeValue, vo.getNodeValue())
                    .eqIfPresent(SmsNodeDO::getTransportId, vo.getTransportId())
                    .eqIfPresent(SmsNodeDO::getCountryId, vo.getCountryId())
                    .eqIfPresent(SmsNodeDO::getCountryCode, vo.getCountryCode())
                    .eqIfPresent(SmsNodeDO::getIsTransport, vo.getIsTransport())
                    .eqIfPresent(SmsNodeDO::getIsOrders, vo.getIsOrders())
                    .eqIfPresent(SmsNodeDO::getStatus, vo.getStatus())
                    .eqIfPresent(SmsNodeDO::getTemplateIdOne, vo.getTemplateIdOne())
                    .eqIfPresent(SmsNodeDO::getTemplateIdTwo, vo.getTemplateIdTwo())
                    .eqIfPresent(SmsNodeDO::getTemplateIdThree, vo.getTemplateIdThree())
                    .eqIfPresent(SmsNodeDO::getTemplateIdFour, vo.getTemplateIdFour())
                    .betweenIfPresent(SmsNodeDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(SmsNodeDO::getId));
        }

        return null;
    }
}
