package cn.iocoder.yudao.module.system.job.sms;

import cn.iocoder.yudao.framework.quartz.core.handler.JobHandler;
import cn.iocoder.yudao.module.system.service.sms.SmsNodeService;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;


/**
 * 短信接收 Job
 *
 * @author Jayden
 * @date 2024/11/21
 */
@Component
@Slf4j
public class SmsReceiveJob implements JobHandler {

    @Resource
    private SmsNodeService smsNodeService;
    @Override
    public String execute(String time) {
        if (StringUtils.isBlank(time)) {
            log.error("短信接收参数错误：{},此参数不能为空", time);
            return "短信接收参数错误,此参数不能为空";
        }
        smsNodeService.scheduleReceiveRefresh(Integer.valueOf(time));
        return "短信接收 Job 执行成功";
    }
}
