package cn.iocoder.yudao.module.system.mq.consumer.sms;

import cn.iocoder.yudao.framework.mq.core.stream.AbstractStreamMessageListener;
import cn.iocoder.yudao.module.system.mq.message.sms.SmsSendMessageV2;
import cn.iocoder.yudao.module.system.service.sms.SmsSendService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * 针对 {@link SmsSendConsumerV2} 的消费者
 *
 * @author zzf
 */
@Component
@Slf4j
public class SmsSendConsumerV2 extends AbstractStreamMessageListener<SmsSendMessageV2> {

    @Resource
    private SmsSendService smsSendService;

    @Override
    public void onMessage(SmsSendMessageV2 message) {
        log.info("[onMessageV2][消息内容({})]", message);
        smsSendService.doSendSmsV2(message);
    }

}
