package cn.iocoder.yudao.module.system.mq.message.sms;

import cn.iocoder.yudao.framework.common.util.json.core.KeyValue;
import cn.iocoder.yudao.framework.mq.core.stream.AbstractStreamMessage;
import cn.iocoder.yudao.framework.sms.core.client.dto.SmsTemplateDTO;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * 短信发送消息
 *
 * @author 捷道源码
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class SmsSendMessageV2 extends AbstractStreamMessage {

    /**
     * 短信日志编号
     */
    @NotNull(message = "短信日志编号不能为空")
    private Long logId;

    /**
     * 手机号
     */
    @NotNull(message = "手机号不能为空")
    private String mobile;

    /**
     * 模板
     */
    @NotNull(message = "模板不能为空")
    private SmsTemplateDTO smsTemplateDTO;

    /**
     * 短信模板参数
     */
    private List<KeyValue<String, Object>> templateParams;

    @Override
    public String getStreamKey() {
        return "system.sms.send.v2";
    }

}
