package cn.iocoder.yudao.module.system.service.sms;

import com.aliyuncs.DefaultAcsClient;
import com.aliyuncs.IAcsClient;
import com.aliyuncs.dysmsapi.model.v20170525.QuerySendDetailsRequest;
import com.aliyuncs.dysmsapi.model.v20170525.QuerySendDetailsResponse;
import com.aliyuncs.profile.DefaultProfile;
import com.aliyuncs.profile.IClientProfile;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;

/**
 * @author Jayden
 * @date 2024/11/12
 */
public class QuerySendDetails {

    /**
     * <b>description</b> :
     * <p>使用AK&amp;SK初始化账号Client</p>
     *
     * @return Client
     * @throws Exception
     */
    public static IAcsClient createClient() throws Exception {
        // 工程代码泄露可能会导致 AccessKey 泄露，并威胁账号下所有资源的安全性。以下代码示例仅供参考。
        // 建议使用更安全的 STS 方式，更多鉴权访问方式请参见：https://help.aliyun.com/document_detail/378657.html。
        String key = "LTAIh5ooNeMRzsuz";
        String secret = "jdqgtCP2Z0nZllEcxMiX8pv8qUDOTq";
        IClientProfile profile = DefaultProfile.getProfile("cn-hangzhou", key, secret);
        IAcsClient defaultAcsClient = new DefaultAcsClient(profile);
        return defaultAcsClient;
    }

    public static void main(String[] args_) throws Exception {
        String key = "LTAIh5ooNeMRzsuz";
        String secret = "jdqgtCP2Z0nZllEcxMiX8pv8qUDOTq";
        IClientProfile profile = DefaultProfile.getProfile("cn-hangzhou", key, secret);
        IAcsClient client = new DefaultAcsClient(profile);
        QuerySendDetailsRequest querySendDetailsRequest = new QuerySendDetailsRequest();
        querySendDetailsRequest.setPhoneNumber("233591972886");
        querySendDetailsRequest.setPageSize(1L);
        querySendDetailsRequest.setCurrentPage(1L);
        querySendDetailsRequest.setSendDate("20240905");
        querySendDetailsRequest.setBizId("373707825513736449^0");
        QuerySendDetailsResponse acsResponse = client.getAcsResponse(querySendDetailsRequest);
        List<QuerySendDetailsResponse.SmsSendDetailDTO> smsSendDetailDTOs = acsResponse.getSmsSendDetailDTOs();
        String receiveDate = smsSendDetailDTOs.get(0).getReceiveDate();



        System.out.println(convertDateFormat(receiveDate));
    }

    /**
     * 将日期字符串从 "yyyy-MM-dd HH:mm:ss" 格式转换为 "yyyyMMdd" 格式
     *
     * @param inputDateStr 输入的日期字符串，格式为 "yyyy-MM-dd HH:mm:ss"
     * @return 转换后的日期字符串，格式为 "yyyyMMdd"
     */
    public static String convertDateFormat(String inputDateStr) {
        SimpleDateFormat inputFormat = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        SimpleDateFormat outputFormat = new SimpleDateFormat("yyyyMMdd");

        try {
            // 解析输入的日期字符串
            Date date = inputFormat.parse(inputDateStr);
            // 格式化日期为输出格式
            return outputFormat.format(date);
        } catch (ParseException e) {
            // 处理解析异常
            e.printStackTrace();
            return null;
        }
    }

}
