package cn.iocoder.yudao.module.system.vo.helpDoc;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import cn.iocoder.yudao.framework.excel.annotations.DictFormat;
import cn.iocoder.yudao.framework.excel.convert.DictConvert;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 帮助文档 Response VO
* @author jiuping
*/
@Data
@ApiModel("管理后台 - 帮助文档 Response VO")
public class HelpDocBackVO {

    @ExcelProperty("")
    @ApiModelProperty(value = "", required = true)
    private Long id;

    @ExcelProperty("标题中文")
    @ApiModelProperty(value = "标题中文")
    private String titleZh;

    @ExcelProperty("标题英文")
    @ApiModelProperty(value = "标题英文")
    private String titleEn;

    @ExcelProperty("标题法文")
    @ApiModelProperty(value = "标题法文")
    private String titleFr;

    @ExcelProperty("内容中文")
    @ApiModelProperty(value = "内容中文")
    private String contentZh;

    @ExcelProperty("内容英语")
    @ApiModelProperty(value = "内容英语")
    private String contentEn;

    @ExcelProperty("内容法语")
    @ApiModelProperty(value = "内容法语")
    private String contentFr;

    @ExcelProperty(value = "0-启用,1-停用", converter = DictConvert.class)
    @DictFormat("help_doc_status") // TODO 代码优化：建议设置到对应的 XXXDictTypeConstants 枚举类中
    @ApiModelProperty(value = "0-启用,1-停用")
    private Integer status;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

}
