package cn.iocoder.yudao.module.system.vo.needKnow;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("管理后台 - 需知查询 VO")
public class NeedKnowQueryVO {

    @ApiModelProperty(value = "需知类型")
    private String knowType;

    @ApiModelProperty(value = "标题中文")
    private String titleZh;

    @ApiModelProperty(value = "标题英文")
    private String titleEn;

    @ApiModelProperty(value = "标题法文")
    private String titleFr;

    @ApiModelProperty(value = "0-启用,1-停用")
    private Integer status;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

}
